// aplPublicationTreeItem.h: interface for the CaplPublicationTreeItem class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_APLPUBLICATIONTREEITEM_H__F28A8854_6A79_4320_8F54_6B2C8DEE8AE5__INCLUDED_)
#define AFX_APLPUBLICATIONTREEITEM_H__F28A8854_6A79_4320_8F54_6B2C8DEE8AE5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "aplTreeItem.h"
#include "StepData.h"	// Added by ClassView
#include "aplValue.h"	// Added by ClassView

class CaplPublicationTreeItem : public CaplTreeItem  
{
public:
	
	virtual bool RefreshItem();
	virtual void ShowProperties();
	virtual bool TrackPopupMenu(CWnd *wnd, CPoint &point, UINT view_mode= APLICM_NORMALE);

	virtual void ShowCmd(long cmd);
	virtual BOOL ShowToolBarButton(CCmdUI* pCmdUI);
	virtual void GetAccessedInstances(aplExtent &ext);
	virtual bool PasteItem(CaplTreeItem *item, CPoint *point=0);
	virtual bool ShowInListCtrl(CListCtrl *list);
	virtual bool Expand(UINT action);
	virtual bool CreateTreeItem(HTREEITEM parent_item);
	virtual bool GetName(CString &name);

	CaplPublicationTreeItem(CTreeCtrl *tree, CPSMDoc *pDoc, CaplInstance *inst=0);
	virtual ~CaplPublicationTreeItem();

	aplExtent m_publication;
	aplExtent m_datamodule;
	CaplInstance *m_inst;
	CaplInstance *m_used_inst_rel;

};

#endif // !defined(AFX_APLPUBLICATIONTREEITEM_H__F28A8854_6A79_4320_8F54_6B2C8DEE8AE5__INCLUDED_)
